Loading...
Searching...
No Matches
BALL::FDPB::FastAtomStruct Struct Reference

`#include <BALL/SOLVATION/poissonBoltzmann.h>`

## Public Attributes

float | q
float | r
float | x
float | y
float | z
Index | index

## Detailed Description

Compact internal datastructure for the administration of the atoms extracted from the system. This datastructure only contains position (x, y, z), charge (q) and radius (r) of the atoms. Index is used to store the index of the gridpoint defining the lower left front corner of the cube containing the atom. This is needed to calculate the potential at the atom's position (to calculate the total energy).

Definition at line 627 of file poissonBoltzmann.h.

## Member Data Documentation

## index

Index BALL::FDPB::FastAtomStruct::index

Definition at line 632 of file poissonBoltzmann.h.

## q

float BALL::FDPB::FastAtomStruct::q

Definition at line 629 of file poissonBoltzmann.h.

## r

float BALL::FDPB::FastAtomStruct::r

Definition at line 630 of file poissonBoltzmann.h.

## x

float BALL::FDPB::FastAtomStruct::x

Definition at line 631 of file poissonBoltzmann.h.

## y

float BALL::FDPB::FastAtomStruct::y

Definition at line 631 of file poissonBoltzmann.h.

## z

float BALL::FDPB::FastAtomStruct::z

Definition at line 631 of file poissonBoltzmann.h.